@import '../../../../assets/styles/typography';
@import '../../../../assets/styles/variables';

app-dashboard {
  width: 100%;
  margin: auto;
}

.dwrapper {
  margin: 0 0 var(--eui-s-4xl) 0;
  display: flex;
  flex-direction: column;

  .d-banner {
    background-color: var(--eui-c-branding);
    padding: 3em 5em;

    span {
      color: var(--eui-c-white);
      display: flex;
      max-width: 1000px;
    }

    button {
      a {
        color: var(--eui-c-neutral);
        font-weight: bold;
      }
    }
  }

  .d-steps {
    margin: 3rem 5em;
    display: flex;
    justify-content: space-between;

    &-step {
      &-title {
        display: flex;
        align-items: center;
        width: 100%;
        min-height: 3.4rem;

        img {
          width: 1.8rem;
          height: auto;
          margin-right: var(--eui-s-xs);
        }
      }

      &-content {
        display: flex;
        height: 100%;
        margin-top: var(--eui-s-s);

        .item {
          margin-bottom: var(--eui-s-l);

          &-content {
            min-height: 60%;
            padding-top: var(--eui-s-l);
            padding-right: var(--eui-s-l);
            border-top: 3px solid var(--eui-c-primary-lighter);
          }
        }

        .item:last-child {
          margin-left: var(--eui-s-l);
        }

        .link {
          padding-right: var(--eui-s-l);

          ul {
            width: 100%;
            padding-inline-start: 20px;
            border-top: 1px solid var(--eui-c-neutral-lightest);
            padding-top: var(--eui-s-m);

            li::marker {
              color: var(--eui-c-primary);
            }
          }

          &-inactive a {
            color: var(--eui-c-neutral-lightest);
            cursor: default;
          }

          &-inactive a:hover {
            color: var(--eui-c-neutral-lightest);
            text-decoration: none;
          }

          &-inactive::marker {
            color: var(--eui-c-neutral-lightest) !important;
          }
        }
      }
    }
  }

  .d-graphic {
    margin: var(--eui-s-4xl) 5em;

    img {
      width: 100%;
      height: auto;
    }
  }

  .d-version {
    display: flex;
    justify-content: flex-end;
    margin: var(--eui-s-4xl) 5em 0;
  }
}

@media (max-width: $deviceSizeM) {
  .d-banner {
    padding: 1.5rem !important;
  }

  .d-steps,
  .d-graphic {
    margin: 1rem !important;
  }

  .wrapper {
    flex-wrap: wrap;
  }

  .d-steps-step:last-child {
    margin-left: 0 !important;
  }

  .d-steps-step-content {
    flex-wrap: wrap;
    height: auto !important;

    .item {
      max-width: 33%;

      div:first-child {
        min-height: 70% !important;
      }
    }

    .item:last-child {
      margin-left: 0 !important;
    }
  }
}

@media (max-width: $deviceSizeS) {
  .d-steps-step-content {
    flex-wrap: wrap;
    height: auto !important;

    .item {
      width: 100% !important;
      max-width: 100% !important;
      margin-left: 0 !important;
    }
  }
}
